@charset "utf-8";
/* CSS Document */

HTML CSS JSResult Skip Results Iframe
EDIT ON
html {
  /*height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Work Sans", sans-serif;
  text-align: center;*/
}
html h1, html h2, html h3, html h4, html h5, html h6 {
  /*margin: 0;*/
}
html h1 {
  /*color: #333;
  font-weight: 500;*/
}
html h3 {
  /*color: #aaa;
  font-weight: 500;*/
}
html h4 {
  color: #999;
  font-weight: 500;
}
html input[type=range] {
  outline: 0;
  border: 0;
  border-radius: 500px;
  width: 50%;
  max-width: 100%;
  margin: 8px 0 16px;
  transition: box-shadow 0.2s ease-in-out;
}
@media only screen and (max-width:768px) {
html input[type=range] {
  width: 80%;
}
}
@media screen and (-webkit-min-device-pixel-ratio: 0) {
  html input[type=range] {
    overflow: hidden;
    height: 25px;
    -webkit-appearance: none;
    background-color: #ddd;
  }
  html input[type=range]::-webkit-slider-runnable-track {
    height: 25px;
    -webkit-appearance: none;
    color: #444;
    -webkit-transition: box-shadow 0.2s ease-in-out;
    transition: box-shadow 0.2s ease-in-out;
  }
  html input[type=range]::-webkit-slider-thumb {
    width: 25px;
    -webkit-appearance: none;
    height: 25px;
    cursor: ew-resize;
    background: #fff;
    box-shadow: -340px 0 0 320px #1597ff, inset 0 0 0 40px #1597ff;
    /*box-shadow: -340px 0 0 320px #888, inset 0 0 0 40px #666;*/ /*レンジポイント*/
    border-radius: 50%;
    -webkit-transition: box-shadow 0.2s ease-in-out;
    transition: box-shadow 0.2s ease-in-out;
    position: relative;
  }
  html input[type=range]:active::-webkit-slider-thumb {
    background: #fff;
    box-shadow: -340px 0 0 320px #1597ff, inset 0 0 0 3px #1597ff;
    /*box-shadow: -340px 0 0 320px #888, inset 0 0 0 3px #666;*/
  }
}
html input[type=range]::-moz-range-progress {
  background-color: #43e5f7;
}
html input[type=range]::-moz-range-track {
  background-color: #9a905d;
}
html input[type=range]::-ms-fill-lower {
  background-color: #43e5f7;
}
html input[type=range]::-ms-fill-upper {
  background-color: #9a905d;
}

.h4-container {
  width: 50%;
  max-width: 100%;
  padding: 0 20px;
  margin: 0 auto;
  box-sizing: border-box;
  position: relative;
}
@media only screen and (max-width:768px) {
.h4-container {
  width: 80%;
}
}
.h4-container .h4-subcontainer {
  width: 100%;
  position: relative;
}
.h4-container .h4-subcontainer h4 {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 0;
  width: 40px;
  height: 40px;
  color: #fff !important;
  font-size: 12px;
  transform-origin: center -10px;
  transform: translateX(-50%);
  transition: margin-top 0.15s ease-in-out, opacity 0.15s ease-in-out;
}
.h4-container .h4-subcontainer h4 span {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: #1597ff;
  /*background-color: #888;*/
  border-radius: 0 50% 50% 50%;
  transform: rotate(45deg);
  z-index: -1;
}

input:not(:active) + .h4-container h4 {
  opacity: 0;
  margin-top: -50px;
  pointer-events: none;
}